incubator-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Seetharam Venkatesh <venkat...@innerzeal.com>
Subject Re: [] Release Apache Falcon version 0.4-incubating
Date Fri, 31 Jan 2014 05:09:56 GMT
Hi Sergio,

Sorry for the delay in getting back to you. The issue is that you are
building with JDK 1.7.x and Oozie is using maven-enforcer-plugin to check
if its 1.6.x. Appreciate if you could rerun maven with JDK 1.6.x and see if
it works for you.

[INFO] [INFO] --- maven-enforcer-plugin:1.0:enforce (clean) @ oozie-main ---
[INFO] [WARNING] Rule 1:
org.apache.maven.plugins.enforcer.RequireJavaVersion failed with message:
[INFO] Detected JDK Version: 1.7.0-51 is not in the allowed range
[1.6.0,1.6.1000}].


On Mon, Jan 27, 2014 at 6:25 AM, Sergio Fernández <
sergio.fernandez@salzburgresearch.at> wrote:

> Hi Seetharam,
>
>
> On 27/01/14 05:51, Seetharam Venkatesh wrote:
>
>> Thanks for trying the release of Falcon.
>>
>
> Thanks for all the great stuff your are implementing. From my experience
> it's always useful to get feedback from user out of the core team.

Certainly, we welcome your feedback.

>
>
>  but unfortunately it has failed:
>>>
>> I'm not sure why the oozie dependency build is failing. I'll look into
>> this
>> tonite. The logs from the build failure could help.
>>
>
> Sure. Please, find it attached. Hope this helps you to find the source of
> the issue.

Thanks.

>
>
>  Looking to the script is failing, it looks your are trying to manually
>>>
>> install a maven dependency. I don't have background about the task, but
>> I'm
>> pretty sure there a re better ways to it.
>> The reason we do this are 2 fold:
>> 1. these dependencies are not available in a central repo
>> 2. We need to customize certain behavior of this dependency in falcon so
>> we
>> can run end to end integration tests as part of the build.
>>
>
> I'd prefer to have a second opinion from the IPMC on this, but I guess
> your work around with that dependency does not fit well with some ASF rules
> on releasing. Not sure to be blocking, but at least something to be noticed
> somewhere.

I did ask a few folks who I work with and they were not -1. This is a short
term fix until we have oozie dependencies published into a maven repo.

>
>
>  One more thing, does the release also include binary packages?
>>>
>> This is a source-only release and the vote is called for the source
>> package. The binary is there for convenience for folks to try Falcon with
>> out building the sources.
>>
>
> OK, then be careful not to distributes binaries together the source
> release.
>
Sure, sounds good. Thanks!

>
> Cheers,
>
>
> --
> Sergio Fernández
> Senior Researcher
> Knowledge and Media Technologies
> Salzburg Research Forschungsgesellschaft mbH
> Jakob-Haringer-Straße 5/3 | 5020 Salzburg, Austria
> T: +43 662 2288 318 | M: +43 660 2747 925
> sergio.fernandez@salzburgresearch.at
> http://www.salzburgresearch.at
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: general-unsubscribe@incubator.apache.org
> For additional commands, e-mail: general-help@incubator.apache.org
>



-- 
Regards,
Venkatesh

"Perfection (in design) is achieved not when there is nothing more to add,
but rather when there is nothing more to take away."
- Antoine de Saint-Exupéry

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message